Public Member Functions

# wxGridCellEnumEditor Class Reference
[Grid Related Classes]

`#include <wx/grid.h>`

Inheritance diagram for wxGridCellEnumEditor:
[legend]

## Detailed Description

Grid cell editor which displays an enum number as a textual equivalent (eg.

data in cell is 0,1,2 ... n the cell could be displayed as "John","Fred"..."Bob" in the combo choice box).

##

Library: wxAdvanced
Category: Grid Related Classes

See also:
  wxGridCellEditor, wxGridCellAutoWrapStringEditor, wxGridCellBoolEditor, wxGridCellChoiceEditor, wxGridCellTextEditor, wxGridCellFloatEditor, wxGridCellNumberEditor

## Public Member Functions
| wxGridCellEnumEditor (const wxString &choices=wxEmptyString)
| Enum cell editor ctor.

List of all members.

## Constructor & Destructor Documentation

wxGridCellEnumEditor::wxGridCellEnumEditor | ( | const wxString & | choices = `wxEmptyString` | ) |

Enum cell editor ctor.

Parameters:

  | choices | Comma separated choice parameters "item1[,item2[...,itemN]]".

|  | [ top ]